Subject: Re: "Common feature sets"

From: Graham Klyne <[email-masked]>
Date: Fri, 22 Jan 1999 12:20:44 +0000

Ted,

I think that your are saying your "grouping below the set" is applied in my
sense (a) -- to which I already answered "yes".

That is,

   2634062802=(feeble, greeble, beeble)

can be used as a subset in some other sets:

   (2634062802, habid, rabid)
   (2634062802, humid, rumid)
   (2634062802, zord, dord)

(Strictly, my use of "subsets" is questionable:  sub-relation or
sub-expression might be more accurate.) 

Are we convergent?

#g

At 16:13 21/01/99 -0800, Ted Hardie wrote:
>Graham writes:
>> Quoting Ted:
>> >Let me ask first whether you agree that the constant aspect might be
>> >applied to a grouping below the set.  
>> 
>> Er... I'm not sure I understand the question.
>> 
>> I have been thinking that the term "constant" is probably unhelpful, but
>> thus far have failed to find a better alternative.  I think the term
>> "common" might be closer (as in "common factor" or "common base values").
>> This, in turn, I think relates to Bill's "indirect reference".
>> 
>> The bit I really don't understand is "below the set".  This seems to
>> suggest one of two things (a) to subsets of some set of interest (which
>> set?), or (b) to the primitive elements from which the set is constructed
>> (feature collections?  feature tags and values?).
>
>If three represenations each require 5 features, three of which are constant
>and the other two of which interdepend, how do we represent the three.  So
>imagine the features are:
>
>(feeble, greeble, beeble, habid, rabid)
>(feeble, greeble, beeble, humid, rumid)
>(feeble, greeble, beeble, zord, dord)
>
>Can we make it something like:
>
>2634062802=(feeble, greeble, beeble)
>(2634062802, habid, rabid)
>(2634062802, humid, rumid)
>(2634062802, zord, dord)
>
>Obviously, using 2634062802 rather than "feeble, greeble, beeble" isn't a
>big win, but a cksum will be more effective when we have things like
>
>u.http://www.microsoft.com/win-nt/features/svideo
>u.http://www.netscape.com/communicator/features/open-gl-texturing
>u.https://www.datefellows.com/watermarks/version4
>
>as features.
>
>I hope that is at least moderately clearer.
>				best,
>					Ted Hardie
>
>
>
------------
Graham Klyne
([email-masked])